summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar klea2026-02-14 17:10:33 +0000
committerGravatar klea2026-02-14 17:10:33 +0000
commitbe20fdd69f433b9646c85b4de97c2538523f3a9f (patch)
tree67281db14b1712bf71f4f66cc4bf790a556895ed
parentpkgs(warcPackages/wget-lua): update to 1.21.3-at.20260211.02 (diff)
signature
git-archive: clone ssh properly
allowing keys, not checking cert.
-rwxr-xr-xbin/git-archive2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/git-archive b/bin/git-archive
index dd8c36d..2cce48e 100755
--- a/bin/git-archive
+++ b/bin/git-archive
@@ -36,7 +36,7 @@ while IFS='' read -r url; do
{
unset HOME XDG_CONFIG_HOME SSH_ASKPASS GIT_ASKPASS
echo "$ git clone --mirror $url $urlp"
- USER=archiveteam-codearchiver-runner ftime git -c 'credential.interactive=false' clone --mirror "$url" "$urlwp" || true
+ USER=archiveteam-codearchiver-runner ftime git -c 'core.sshCommand=ssh -F /dev/null -o "UserKnownHostsFile /dev/null" -o "IdentitiesOnly yes" -o "StrictHostKeyChecking no"' -c 'credential.interactive=false' clone --mirror "$url" "$urlwp" || true
echo "$ GIT_DIR=$urlp git bundle create $urlp.bundle --all"
USER=archiveteam-codearchiver-runner GIT_DIR=$urlwp ftime git bundle create "$urlwp.bundle" --all || true
[ "$?" = "0" ] && {